import React from "react";
import { Link } from "@umijs/max";
import styles from "./index.less";

/** @name 404 */
const NotFoundPage: React.FC = () => {
  return (
    <div className={styles.container}>
      <h1 className={styles.title}>404 - 页面未找到</h1>
      <p className={styles.message}>抱歉，您访问的页面不存在。</p>
      <Link to="/" className={styles.link}>
        返回首页
      </Link>
    </div>
  );
};

export default NotFoundPage;
