import { Space } from 'antd';
import React from 'react';
import styles from './index.less';

const Apps: React.FC = () => {
  const apps = [
    {
      key: '2',
      img: require('@/assets/images/aqyztTab.png'),
      onclick: () => {
        window.open(
          `${window.location.origin}/cd-comprehensive/securityServiceOverview`,
          '_blank',
        );
      },
    },
    // {
    //   key: '3',
    //   img: require('@/assets/images/youyanyizhangtu.png'),
    //   onclick: () => {
    //     window.open('https://10.1.174.34:13000');
    //   },
    // },
  ];

  return (
    <div className={styles.container}>
      <div className={styles.bg}></div>
      <div className={styles.content}>
        <div className={styles.title}>应用场景</div>
        <Space direction="vertical" size={20} style={{ marginTop: 10 }}>
          {apps?.map((item) => {
            return (
              <img
                src={item.img}
                alt=""
                key={item.key}
                onClick={() => {
                  item?.onclick();
                }}
                style={{ width: 175, height: 48, cursor: 'pointer' }}
              />
            );
          })}
        </Space>
      </div>
    </div>
  );
};

export default Apps;
