import { Flex } from 'antd';
import React from 'react';
import Map from '../Map';
import ProblemInfo from '../ProblemInfo';
import styles from './index.less';

const UrbanProblem: React.FC<{ objectId: string }> = (props) => {
  const { objectId } = props;
  return (
    <Flex className={styles.container} gap={20}>
      <Map objectId={objectId}></Map>
      <ProblemInfo objectId={objectId}></ProblemInfo>
    </Flex>
  );
};

export default UrbanProblem;
