import React from 'react';
import PanelTitle from '../common/PanelTitle';
import styles from './index.less';
import IndustryOverview from './IndustryOverview';
import RightBottom from './RightBottom';
const RightContent: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.industryOverview}>
        {/* 行业概况区域 */}
        <PanelTitle title="行业概况" moreText="行业系统" modalName="IndustrySystem" />
        <div className={styles.industryContent}>
          {/* 内容区域占位 */}
          <IndustryOverview />
        </div>
      </div>
      
      <div className={styles.specialServices}>
        {/* 专项服务区域 */}
        <PanelTitle title="专项服务" />
        {/* <div className={styles.serviceContent}>
          <div className={styles.serviceGrid}>
            <div className={styles.serviceItem}>指挥调度</div>
            <div className={styles.serviceItem}>众管协城</div>
            <div className={styles.serviceItem}>城管24H</div>
            <div className={styles.serviceItem}>精准指挥</div>
            <div className={styles.serviceItem}>网格基层</div>
            <div className={styles.serviceItem}>数据底座</div>
            <div className={styles.serviceItem}>感知治理</div>
            <div className={styles.serviceItem}>博睿安全</div>
          </div>
        </div> */}
        <RightBottom />
      </div>
    </div>
  );
};

export default RightContent; 